libgdamm: Gnome::Gda::HandlerTime Class Reference

libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::HandlerTime Class Reference

Default handler for time, date and timestamp. More...

Inheritance diagram for Gnome::Gda::HandlerTime:
[legend]
Collaboration diagram for Gnome::Gda::HandlerTime:
[legend]

## Public Member Functions
virtual | ~HandlerTime ()
GdaHandlerTime* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaHandlerTime* | gobj () const
| Provides access to the underlying C GObject. More...
GdaHandlerTime* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Gnome::Gda::DataHandler
virtual | ~DataHandler ()
GdaDataHandler* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaDataHandler* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_sql_from_value (const Value& value) const
| Creates a new string which is an SQL representation of the given value, the returned string can be used directly in an SQL statement. More...
Glib::ustring | get_str_from_value (const Value& value) const
| Creates a new string which is a "user friendly" representation of the given value (in the user's locale, specially for the dates). More...
Value | get_value_from_sql (const Glib::ustring& sql, GType type) const
| Creates a new GValue which represents the SQL value given as argument. More...
Value | get_value_from_str (const Glib::ustring& sql, GType type) const
| Creates a new GValue which represents the STR value given as argument. More...
Value | get_sane_init_value (GType type) const
| Creates a new GValue which holds a sane initial value to be used if no value is specifically provided. More...
bool | accepts_g_type (GType type) const
| Checks wether the GdaDataHandler is able to handle the gda type given as argument. More...
Glib::ustring | get_descr () const
| Get a short description of the GdaDataHandler. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< HandlerTime > | create ()
Static Public Member Functions inherited from Gnome::Gda::DataHandler
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| HandlerTime ()
Protected Member Functions inherited from Gnome::Gda::DataHandler
| DataHandler ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerTime > | wrap (GdaHandlerTime* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gnome::Gda::DataHandler
Glib::RefPtr < Gnome::Gda::DataHandler > | wrap (GdaDataHandler* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Default handler for time, date and timestamp.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerTime::~HandlerTime | ( |  | ) |
| virtual

Gnome::Gda::HandlerTime::HandlerTime | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<HandlerTime> Gnome::Gda::HandlerTime::create | ( |  | ) |
| static

static GType Gnome::Gda::HandlerTime::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaHandlerTime* Gnome::Gda::HandlerTime::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaHandlerTime* Gnome::Gda::HandlerTime::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaHandlerTime* Gnome::Gda::HandlerTime::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerTime > wrap | ( | GdaHandlerTime * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlertime.h